Hebrew subtitles are encoded ISO-8859-8

Bug #1051552 reported by Shahar Or on 2012-09-16
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
SMPlayer
Unknown
Unknown
Totem
Invalid
Medium
VLC media player
Fix Released
Unknown
smplayer (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
totem (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
vlc (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

Dear friends,

Hebrew subtitles, as they are commonly found online, are mostly encoded ISO-8859-8. Or perhaps it is Windows-1255 or ISO-8859-8-I? I'm a bit confused about that.

Most, if not all video players expect and decode them as UTF-8.

The ideal way for this to work is to somehow detect the correct encoding. But how would that be done? One method would be to look by the name of the file.

How can this be solved?

Thanks,
Shahar

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: totem 3.4.3-0ubuntu3
ProcVersionSignature: Ubuntu 3.5.0-14.18-generic 3.5.3
Uname: Linux 3.5.0-14-generic i686
ApportVersion: 2.5.1-0ubuntu7
Architecture: i386
Date: Sun Sep 16 14:53:58 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120421)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: totem
UpgradeStatus: Upgraded to quantal on 2012-07-12 (65 days ago)

CVE References

Shahar Or (mightyiam) wrote :
Shahar Or (mightyiam) wrote :
Changed in totem:
importance: Unknown → Medium
status: Unknown → New
Rémi Denis-Courmont (rdenis) wrote :

VLC 2.0.4 will fallback to Windows-1255 (rather than Windows-1252 so far) for non-UTF-8 subtitles, if the language is Hebrew.

Changed in vlc:
milestone: none → 2.0.4
Changed in vlc (Ubuntu):
status: New → Fix Committed
Changed in totem:
status: New → Invalid
Shahar Or (mightyiam) on 2012-09-25
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 2.0.4-0ubuntu1

---------------
vlc (2.0.4-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1067064).
    - Fix crashes (LP: #947156, #958462, #960020, #979490, #1033682)
    - Correct default encoding for Hebrew subtitles (LP: #1051552)
  * Drop backported bp-fix-hang-caused-by-notify.patch.
  * Build the sftp access and Opus codec plugin and add them to vlc-nox.
 -- Benjamin Drung <email address hidden> Mon, 15 Oct 2012 22:28:55 +0200

Changed in vlc (Ubuntu):
status: Fix Committed → Fix Released
Changed in vlc:
status: Unknown → Fix Released

Hello Shahar, or anyone else affected,

Accepted vlc into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/vlc/2.0.4-0ubuntu0.12.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in vlc (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 2.0.5-0ubuntu0.12.04.1

---------------
vlc (2.0.5-0ubuntu0.12.04.1) precise-security; urgency=low

  * New bug-fixing upstream release.
    - Fix hang caused by the notify plugin. (Closes: #662628, LP: #970447)
    - Fix crashes (LP: #947156, #958462, #960020, #979490, #1033682)
    - Correct default encoding for Hebrew subtitles (LP: #1051552)
  * SECURITY UPDATE: denial of service via crafted PNG file (LP: #1084054)
    - CVE-2012-5470
  * SECURITY UPDATE: Buffer overflows in freetype renderer and HTML subtitle
    parser can cause a denial of service (process termination) and possibly
    execute arbitrary code.
    - VideoLAN-SA-1301
 -- Benjamin Drung <email address hidden> Sat, 05 Jan 2013 14:47:33 +0100

Changed in vlc (Ubuntu Precise):
status: Fix Committed → Fix Released

Setting the Totem bug in Ubuntu to invalid as it has been responded upstream as a configuration problem. Please feel free to change if this is not correct.

Changed in totem (Ubuntu):
status: New → Invalid
Mathew Hodson (mathew-hodson) wrote :

The package vlc in -proposed was released, so removing the verification-needed tag.

tags: removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.